## vtk6 6.3.0+dfsg1

=== Accelerators/Dax/CMakeLists.txt ===
##=============================================================================
##
##  Copyright (c) Kitware, Inc.
##  All rights reserved.
##  See LICENSE.txt for details.
##
##  This software is distributed WITHOUT ANY WARRANTY; without even
##  the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
##  PURPOSE.  See the above copyright notice for more information.
##
##  Copyright 2012 Sandia Corporation.
##  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
##  the U.S. Government retains certain rights in this software.
##
##=============================================================================

#ensure we link against our dependencies
include(module.cmake)

find_package(Dax REQUIRED)

DaxConfigureSerial(REQUIRED)
DaxConfigureCuda()
DaxConfigureTBB()
DaxConfigureOpenMP()

# Collect a list of available backends.
set(DAX_BACKENDS)
if(${Dax_ENABLE_CUDA})
  list(APPEND DAX_BACKENDS CUDA)
endif()
if(${Dax_ENABLE_TBB})
  list(APPEND DAX_BACKENDS TBB)
endif()
if(${Dax_ENABLE_OPENMP})
  list(APPEND DAX_BACKENDS OPENMP)
endif()
list(APPEND DAX_BACKENDS SERIAL)

# Pick the first backed found in list as the default backend
list(GET DAX_BACKENDS 0 DEFAULT_BACKEND)

# Display available options for user selection.
set(VTK_DAX_BACKEND ${DEFAULT_BACKEND} CACHE STRING
  "Choose from available backend acclerators")
set_property(CACHE VTK_DAX_BACKEND PROPERTY STRINGS ${DAX_BACKENDS})

# Turn the picked option on and turn off the others.
foreach(backend ${DAX_BACKENDS})
  if(${backend} STREQUAL ${VTK_DAX_BACKEND})
    set(VTK_DAX_PICKED_${backend} TRUE)
  else()
    set(VTK_DAX_PICKED_${backend} FALSE)
  endif()
endforeach()

# Setting the configuration file to include the appropriate driver.
#we prefer cuda over everything else, than tbb and openmp
set (DAX_DISABLE_BOOST_SP_THREADS 0)
if(${VTK_DAX_PICKED_CUDA})
  set (DAX_DISABLE_BOOST_SP_THREADS 1)
  set (DAX_DEVICE_ADAPTER "DAX_DEVICE_ADAPTER_CUDA")
elseif(${VTK_DAX_PICKED_TBB})
  set (DAX_DEVICE_ADAPTER "DAX_DEVICE_ADAPTER_TBB")
elseif(${VTK_DAX_PICKED_OPENMP})
  set (DAX_DEVICE_ADAPTER "DAX_DEVICE_ADAPTER_OPENMP")
else()
  set (DAX_DEVICE_ADAPTER "DAX_DEVICE_ADAPTER_SERIAL")
endif()

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/vtkDaxConfig.h.in"
  "${CMAKE_CURRENT_BINARY_DIR}/vtkDaxConfig.h" @ONLY)

#needed for our export macros
include_directories(${${vtk-module}_DEPENDS_INCLUDE_DIRS}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${Dax_INCLUDE_DIRS}
                   )

set(headers
  vtkDaxDetailCommon.h
  vtkDaxContourImpl.h
  vtkDaxThresholdImpl.h
  vtkDaxConfig.h
  )

#implementation of the algorithms for cpu accelerators
set(cpu_accelerator_srcs
  vtkDaxContourImpl.cxx
  vtkDaxThresholdImpl.cxx
  )

set(vtk_srcs
  vtkDaxContour.cxx
  vtkDaxThreshold.cxx
  ${CMAKE_CURRENT_BINARY_DIR}/vtkAcceleratorsDaxObjectFactory.cxx
  )

set_source_files_properties(
  ${headers}
  ${cpu_accelerator_srcs}
  ${CMAKE_CURRENT_BINARY_DIR}/vtkAcceleratorsDaxObjectFactory.cxx
  WRAP_EXCLUDE
  )

# Now for the object factory.
set(opengl_overrides
  Contour
  Threshold
  )
# Now we need to generate the object factory for this module. Create a list of
# overrides, and then generate the class that overrides those classes.
set(vtk_module_overrides)
foreach(_override ${opengl_overrides})
  list(APPEND vtk_module_overrides vtk${_override})
  set(vtk_module_vtk${_override}_override vtkDax${_override})
endforeach()

# Now we iterate and create that class file...
foreach(_class ${vtk_module_overrides})
  set(_override ${vtk_module_${_class}_override})
  set(_vtk_override_includes "${_vtk_override_includes}
#include \"${_override}.h\"")
  set(_vtk_override_creates "${_vtk_override_creates}
VTK_CREATE_CREATE_FUNCTION(${_override})")
  set(_vtk_override_do "${_vtk_override_do}
  this->RegisterOverride(\"${_class}\",
                         \"${_override}\",
                         \"rride for ${vtk-module} module\", 1,
                         vtkObjectFactoryCreate${_override});")
endforeach()

# Now lets create the object factory classes
string(TOUPPER ${vtk-module} VTK-MODULE)
configure_file(${VTK_CMAKE_DIR}/vtkObjectFactory.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/${vtk-module}ObjectFactory.h)
configure_file(${VTK_CMAKE_DIR}/vtkObjectFactory.cxx.in
  ${CMAKE_CURRENT_BINARY_DIR}/${vtk-module}ObjectFactory.cxx)
list(APPEND Module_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/${vtk-module}ObjectFactory.cxx)
set_source_files_properties(
  ${vtk-module}ObjectFactory.cxx
  WRAP_EXCLUDE
  )

#we are building with CUDA support
if(${VTK_DAX_PICKED_CUDA})

  #implementation of the algorithms for gpu accelerators
  set(cuda_accelerator_srcs
    vtkDaxContourImpl.cu
    vtkDaxThresholdImpl.cu
    )


  #follow pistons example on how to build a subsection of the cuda with nvcc
  if(BUILD_SHARED_LIBS)
    set(GPGPU_BUILD_TYPE SHARED)
  endif()
  set(CUDA_ATTACH_VS_BUILD_RULE_TO_CUDA_FILE OFF) #otherwise C_SOURCES is empty in VS
  vtk_module_impl()

  cuda_compile(cuda_compiled_srcs
               ${cuda_accelerator_srcs}
               ${headers}
               ${GPGPU_BUILD_TYPE})

  set_source_files_properties(
    ${cuda_compiled_srcs}
    ${cuda_accelerator_srcs}
    WRAP_EXCLUDE
    )

  vtk_module_library(vtkAcceleratorsDax ${vtk_srcs} ${cuda_compiled_srcs}
                                        ${headers})
  vtk_module_link_libraries(vtkAcceleratorsDax LINK_PRIVATE ${CUDA_LIBRARIES})

elseif(${VTK_DAX_PICKED_TBB})
  vtk_module_library(vtkAcceleratorsDax ${vtk_srcs}
                                        ${cpu_accelerator_srcs} ${headers})
  vtk_module_link_libraries(vtkAcceleratorsDax LINK_PRIVATE ${TBB_LIBRARIES})
else()

  vtk_module_library(vtkAcceleratorsDax ${vtk_srcs}
                                        ${cpu_accelerator_srcs} ${headers})

endif()

#install the required headers to make your own dax vtk filter
if(NOT VTK_INSTALL_NO_DEVELOPMENT)
  install(DIRECTORY
    ${CMAKE_CURRENT_SOURCE_DIR}/vtkToDax
    DESTINATION ${VTK_INSTALL_INCLUDE_DIR}
    COMPONENT Development)
  install(DIRECTORY
    ${CMAKE_CURRENT_SOURCE_DIR}/daxToVtk
    DESTINATION ${VTK_INSTALL_INCLUDE_DIR}
    COMPONENT Development)
endif()

=== Charts/Core/CMakeLists.txt ===
set(Module_SRCS
  vtkAxis.cxx
  vtkAxisExtended.cxx
  vtkCategoryLegend.cxx
  vtkChart.cxx
  vtkChartBox.cxx
  vtkChartHistogram2D.cxx
  vtkChartLegend.cxx
  vtkChartMatrix.cxx
  vtkChartParallelCoordinates.cxx
  vtkChartPie.cxx
  vtkChartXY.cxx
  vtkChartXYZ.cxx
  vtkColorLegend.cxx
  vtkColorTransferControlPointsItem.cxx
  vtkColorTransferFunctionItem.cxx
  vtkCompositeControlPointsItem.cxx
  vtkCompositeTransferFunctionItem.cxx
  vtkContextPolygon.cxx
  vtkControlPointsItem.cxx
  vtkLookupTableItem.cxx
  vtkPiecewiseControlPointsItem.cxx
  vtkPiecewiseFunctionItem.cxx
  vtkPiecewisePointHandleItem.cxx
  vtkPlot.cxx
  vtkPlot3D.cxx
  vtkPlotArea.cxx
  vtkPlotBag.cxx
  vtkPlotBar.cxx
  vtkPlotBox.cxx
  vtkPlotFunctionalBag.cxx
  vtkPlotGrid.cxx
  vtkPlotHistogram2D.cxx
  vtkPlotLine.cxx
  vtkPlotLine3D.cxx
  vtkPlotParallelCoordinates.cxx # This adds a vtkInfovisCore dep for one class...
  vtkPlotPie.cxx
  vtkPlotPoints.cxx
  vtkPlotPoints3D.cxx
  vtkPlotStacked.cxx
  vtkPlotSurface.cxx
  vtkScalarsToColorsItem.cxx
  vtkScatterPlotMatrix.cxx
  )

set_source_files_properties(
  vtkChart
  vtkControlPointsItem
  vtkPlot
  vtkPlot3D
  vtkScalarsToColorsItem
  ABSTRACT
  )

set_source_files_properties(
  vtkContextPolygon
  WRAP_EXCLUDE
)

set_source_files_properties(
  vtkContextPolygon
  PROPERTIES WRAP_SPECIAL 1
)

vtk_module_library(vtkChartsCore ${Module_SRCS})

=== Common/ComputationalGeometry/CMakeLists.txt ===
set(Module_SRCS
  vtkCardinalSpline.cxx
  vtkKochanekSpline.cxx
  vtkParametricBoy.cxx
  vtkParametricConicSpiral.cxx
  vtkParametricCrossCap.cxx
  vtkParametricDini.cxx
  vtkParametricEllipsoid.cxx
  vtkParametricEnneper.cxx
  vtkParametricFigure8Klein.cxx
  vtkParametricFunction.cxx
  vtkParametricKlein.cxx
  vtkParametricMobius.cxx
  vtkParametricRandomHills.cxx
  vtkParametricRoman.cxx
  vtkParametricSpline.cxx
  vtkParametricSuperEllipsoid.cxx
  vtkParametricSuperToroid.cxx
  vtkParametricTorus.cxx
  )

set_source_files_properties(
  vtkParametricFunction
  ABSTRACT
)

vtk_module_library(vtkCommonComputationalGeometry ${Module_SRCS})

=== Common/System/CMakeLists.txt ===
set(Module_SRCS
  vtkClientSocket.cxx
  vtkDirectory.cxx
  vtkServerSocket.cxx
  vtkSocket.cxx
  vtkSocketCollection.cxx
  vtkThreadMessager.cxx
  vtkTimerLog.cxx
  )

set_source_files_properties(
  vtkSocket
  ABSTRACT
)

if(NOT HAVE_SOCKETS)
  # Tell vtkSocket.cxx that there are no sockets on this platform.
  set_source_files_properties(vtkSocket.cxx PROPERTIES
    COMPILE_FLAGS -DVTK_SOCKET_FAKE_API)
endif()

if(WIN32 AND NOT BORLAND)
  set(KIT_LIBS ${KIT_LIBS} wsock32)
endif()

vtk_module_library(vtkCommonSystem ${Module_SRCS})

vtk_module_link_libraries(vtkCommonSystem LINK_PRIVATE ${CMAKE_THREAD_LIBS})

=== Common/Transforms/CMakeLists.txt ===
set(Module_SRCS
  vtkAbstractTransform.cxx
  vtkCylindricalTransform.cxx
  vtkGeneralTransform.cxx
  vtkHomogeneousTransform.cxx
  vtkIdentityTransform.cxx
  vtkLinearTransform.cxx
  vtkMatrixToHomogeneousTransform.cxx
  vtkMatrixToLinearTransform.cxx
  vtkPerspectiveTransform.cxx
  vtkSphericalTransform.cxx
  vtkThinPlateSplineTransform.cxx
  vtkTransform2D.cxx
  vtkTransformCollection.cxx
  vtkTransform.cxx
  vtkWarpTransform.cxx
  vtkLandmarkTransform.cxx
  )

set_source_files_properties(
  vtkAbstractTransform
  vtkHomogeneousTransform
  vtkLinearTransform
  vtkWarpTransform
  ABSTRACT
  )

vtk_module_library(vtkCommonTransforms ${Module_SRCS})

=== Examples/ParallelProcessing/CMakeLists.txt ===
ADD_SUBDIRECTORY(Generic)

=== Examples/iOS/CMakeLists.txt ===
# copy the example to the binary tree where they can be built manually using xcode

if (TRUE)
  add_custom_target(iOS-examples-rm ALL
    COMMAND ${CMAKE_COMMAND} -E remove_directory
            "${CMAKE_CURRENT_BINARY_DIR}/GLPaint"
    COMMAND ${CMAKE_COMMAND} -E remove_directory
            "${CMAKE_CURRENT_BINARY_DIR}/Surfaces")

   add_custom_target(iOS-examples-copy ALL
    COMMAND ${CMAKE_COMMAND} -E copy_directory
            "${CMAKE_CURRENT_SOURCE_DIR}/GLPaint"
            "${CMAKE_CURRENT_BINARY_DIR}/GLPaint"
    COMMAND ${CMAKE_COMMAND} -E copy_directory
            "${CMAKE_CURRENT_SOURCE_DIR}/Surfaces"
            "${CMAKE_CURRENT_BINARY_DIR}/Surfaces")

  add_dependencies(iOS-examples-copy iOS-examples-rm)
else ()
  add_subdirectory(MaceVTK/MaceVTK)
  add_custom_target(iOS-examples-copy ALL
    COMMAND ${CMAKE_COMMAND} -E copy_directory
            "${CMAKE_CURRENT_SOURCE_DIR}/MaceVTK"
            "${CMAKE_CURRENT_BINARY_DIR}/MaceVTK")
endif ()

=== Filters/Generic/CMakeLists.txt ===
set(Module_SRCS
  vtkGenericClip.cxx
  vtkGenericContourFilter.cxx
  vtkGenericCutter.cxx
  vtkGenericDataSetTessellator.cxx
  vtkGenericGeometryFilter.cxx
  vtkGenericGlyph3DFilter.cxx
  vtkGenericOutlineFilter.cxx
  vtkGenericProbeFilter.cxx
  vtkGenericStreamTracer.cxx
  )

vtk_module_library(vtkFiltersGeneric ${Module_SRCS})

=== Filters/Hybrid/CMakeLists.txt ===
set(Module_SRCS
  vtkBSplineTransform.cxx
  vtkDepthSortPolyData.cxx
  vtkDSPFilterDefinition.cxx
  vtkDSPFilterGroup.cxx
  vtkEarthSource.cxx
  vtkFacetReader.cxx
  vtkGreedyTerrainDecimation.cxx
  vtkGridTransform.cxx
  vtkImageToPolyDataFilter.cxx
  vtkImplicitModeller.cxx
  vtkPCAAnalysisFilter.cxx
  vtkPolyDataSilhouette.cxx
  #vtkPolyDataToImageStencil.cxx
  vtkProcrustesAlignmentFilter.cxx
  vtkProjectedTerrainPath.cxx
  vtkRenderLargeImage.cxx
  vtkTemporalDataSetCache.cxx
  vtkTemporalFractal.cxx
  vtkTemporalInterpolator.cxx
  vtkTemporalShiftScale.cxx
  vtkTemporalSnapToTimeStep.cxx
  vtkTransformToGrid.cxx
  vtkWeightedTransformFilter.cxx
  )

vtk_module_library(vtkFiltersHybrid ${Module_SRCS})

=== Filters/ParallelGeometry/CMakeLists.txt ===
set(Module_SRCS
  vtkPDataSetGhostGenerator.cxx
  vtkPStructuredGridConnectivity.cxx
  vtkPStructuredGridGhostDataGenerator.cxx
  vtkPUniformGridGhostDataGenerator.cxx
  vtkPUnstructuredGridConnectivity.cxx
  vtkPUnstructuredGridGhostDataGenerator.cxx
  )

set_source_files_properties(
  vtkPDataSetGhostGenerator
  ABSTRACT
  )

vtk_module_library(vtkFiltersParallelGeometry ${Module_SRCS})

=== Filters/Programmable/CMakeLists.txt ===
set(Module_SRCS
  vtkProgrammableAttributeDataFilter.cxx
  vtkProgrammableFilter.cxx
  vtkProgrammableGlyphFilter.cxx
  )

vtk_module_library(vtkFiltersProgrammable ${Module_SRCS})

=== Filters/Python/CMakeLists.txt ===
set(Module_SRCS
  vtkPythonAlgorithm.cxx
  )

vtk_module_library(vtkFiltersPython ${Module_SRCS})

=== debian/changelog ===
vtk6 (6.3.0+dfsg1-11build1) bionic; urgency=medium

  * Rebuild against new gdal-abi-2-2-3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 17 Dec 2017 22:17:30 +0100

vtk6 (6.3.0+dfsg1-11) unstable; urgency=medium

  * [6984aa3] d/control: Drop dependency on ftgl-dev, Closes: #881435
  * [10a53e6] d/control: Update standards to 4.1.1, no changes needed
  * [6888f6a] d/control: Drop Testsuite: autopkgtest to fix lintian warning
  * [d1e9a12] d/p/109: Add patch for infovis boost support
  * [17c8e1a] d/rules: Add CXXFLAGS for BOOST, Closes: #857124

 -- Gert Wollny <gewo@debian.org>  Sun, 26 Nov 2017 12:53:22 +0100

vtk6 (6.3.0+dfsg1-10) unstable; urgency=medium

  * [1789b1b] Update gcc tests patch Closes: #853703
  * [e59ec92] Add patch to use MatJax for formulas

 -- Gert Wollny <gewo@debian.org>  Mon, 10 Jul 2017 23:33:31 +0000

vtk6 (6.3.0+dfsg1-9) unstable; urgency=medium

  * [089328b] Revert dropping of language bindings.

 -- Gert Wollny <gewo@debian.org>  Fri, 07 Jul 2017 13:39:21 +0000

vtk6 (6.3.0+dfsg1-8) unstable; urgency=medium

  * [1ad2313] Add libvtk6.3-qt in depends of libvtk6-qt-dev. (Closes: #867454)

 -- Anton Gladky <gladk@debian.org>  Thu, 06 Jul 2017 20:49:38 +0200

vtk6 (6.3.0+dfsg1-7) unstable; urgency=medium

  * [7a95e78] Add libfontconfig1-dev to build-depends. (Closes: #867312)

 -- Anton Gladky <gladk@debian.org>  Wed, 05 Jul 2017 21:14:23 +0200

vtk6 (6.3.0+dfsg1-6) unstable; urgency=medium

  * [6f99abd] Start stripping the library of language bindings
  * [913f353] d/rules: correct netcdf header patching
  * [394d041] d/rules: remove more non-existing installations
  * [7628c40] d/control: clean  dependencies from dropped files
  * [a26f459] d/control: update standards version to 4.0.0
  * [8cadc80] d/control: remove latex-math-extra from builddep, 
    Closes: #866723
  * [93f10fa] d/control: Update uploader email for Gert Wollny

 -- Gert Wollny <gewo@debian.org>  Wed, 05 Jul 2017 07:53:30 +0000

vtk6 (6.3.0+dfsg1-5) unstable; urgency=medium

  * Fix line endings in autopkgtests to let them run.

 -- Anton Gladky <gladk@debian.org>  Tue, 09 May 2017 22:38:56 +0200

vtk6 (6.3.0+dfsg1-4) unstable; urgency=medium

  * [9a28dbe] Fix symlink onto vtk. (Closes: #857533).

 -- Anton Gladky <gladk@debian.org>  Tue, 14 Mar 2017 21:34:10 +0100

vtk6 (6.3.0+dfsg1-3) unstable; urgency=medium

  * Rebuild against new multiarch enabled openmpi, Closes: #848785 

 -- Gert Wollny <gw.fossdev@gmail.com>  Wed, 21 Dec 2016 19:24:07 +0100

vtk6 (6.3.0+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/99-hdf5-1.10-compatibility: Add. H5FD_class_t gained a new
    member in 1.10 which must now be initialised. H5FD_dsm_get_eof also
    changed type. (Closes: #846372)

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 01 Dec 2016 11:19:54 +0000

vtk6 (6.3.0+dfsg1-2) unstable; urgency=medium

  * [4f0b4c6] d/control: Update dependencies on mysqlclient-dev, 
    Closes: #840788

 -- Gert Wollny <gw.fossdev@gmail.com>  Sat, 15 Oct 2016 16:52:43 +0000

vtk6 (6.3.0+dfsg1-1) unstable; urgency=medium

  * [f583c9c] d/control,d/rules: Move arch:all B-D Closes: #821164
  * [3fb69a2] run 'cme fix dpkg-control'
  * [cf26bd0] Add rules for building/not building documentation
  * Uploadd to unstable Closes: #819714

 -- Gert Wollny <gw.fossdev@gmail.com>  Sat, 28 May 2016 11:38:28 +0000

vtk6 (6.3.0+dfsg1-1~exp2) experimental; urgency=medium

  * [35606f3] d/control: Correct libvtk6-jni conflicts version to exclude 
       >= 1~exp1.

 -- Gert Wollny <gw.fossdev@gmail.com>  Sat, 16 Apr 2016 11:29:31 +0000

vtk6 (6.3.0+dfsg1-1~exp1) experimental; urgency=medium

  [ Gert Wollny ]
  * [b864c36] Remove all patches to prepare for update to 6.3.0
  * [4641342] d/watch: Correct repackage suffix
  * [e7e6dfa] Imported Upstream version 6.3.0+dfsg1
  * [1033ba0] Update patchset for new version
  * [b1828b6] * New upstream version 6.3.0, Closes: #805010
              * Move native java modules into new -jni package 
              * Enable use of system proj4, Closes: #750184

  [ Anton Gladky ]
  * Refresh patches.
  * Minor fixes in install-files.

 -- Anton Gladky <gladk@debian.org>  Thu, 14 Apr 2016 20:17:22 +0200

vtk6 (6.2.0+dfsg1-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make libvtk6-dev depend on libhdf5-mpi-dev. (Closes: #820113)

 -- Tobias Frost <tobi@debian.org>  Sun, 10 Apr 2016 20:10:50 +0200

vtk6 (6.2.0+dfsg1-11) unstable; urgency=medium

  * [efaf1ec] remove dependencies on libxdmf-dev because it is not be used
  * [7fd27ac] Revert use of system libproj4 for now, Closes: #819741
  * [a108eef] Prefer parallel HDF5 over serial
  * [f55e5ab] Limit cmake to >= 3.2 because of HDF5_PREFER_PARALLEL

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 04 Apr 2016 10:41:02 +0000

=== debian/control ===
Source: vtk6
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>,
           Gert Wollny <gewo@debian.org> 
Section: graphics
Priority: optional
Build-Depends: chrpath,
               cmake (>= 3.2.0),
               debhelper (>= 9),
               default-jdk,
               default-libmysqlclient-dev, 
               dh-python,
               hdf5-tools,
               javahelper,
               libalglib-dev,
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libboost-all-dev,
               libdigest-md5-perl,
               libexpat-dev,
               libfreetype6-dev,
               libfontconfig1-dev,
               libgdal-dev,
               libgl1-mesa-dev | libgl-dev,
               libgl2ps-dev (>= 1.3.8),
               libglew-dev,
               libglu1-mesa-dev | libglu-dev,
               libhdf5-mpi-dev,
               libjpeg-dev,
               libjsoncpp-dev,
               libmrmpi-dev,
               libnetcdf-dev,
               libnetcdf-cxx-legacy-dev,
               libogg-dev,
               libosmesa6-dev,
               libpng-dev,
               libpq-dev,
               libproj-dev,
               libqt5opengl5-dev,
               libqt5webkit5-dev,
               libsqlite3-dev,
               libswscale-dev,
               libtheora-dev,
               libtiff-dev,
               libutfcpp-dev,
               libx11-dev,
               libxml2-dev,
               libxpm-dev,
               libxt-dev,
               mpi-default-dev,
               pkg-config,
               python-all-dev (<< 2.8),
               python-all-dev,
               python-autobahn,
               python-matplotlib,
               python-mpi4py,
               python-six,
               python-twisted,
               qtbase5-dev,
               qttools5-private-dev,
               r-base,
               r-base-core,
               r-base-dev,
               tcl-dev,
               tk-dev,
               x11proto-core-dev,
               xauth,
               xvfb,
               zlib1g-dev
Build-Depends-Indep: doxygen-latex,
                     texlive-binaries,
                     graphviz,
                     ghostscript,
                     libjs-mathjax,
                     gnuplot-nox
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/vtk6.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/vtk6.git
Homepage: http://www.vtk.org/
X-Python-Version: current

Package: libvtk6-dev
Architecture: any
Section: libdevel
Depends: default-libmysqlclient-dev, 
         libavcodec-dev,
         libavformat-dev,
         libavutil-dev,
         libc6-dev,
         libeigen3-dev,
         libexpat-dev,
         libfreetype6-dev,
         libgdal-dev,
         libgl1-mesa-dev | libgl-dev,
         libgl2ps-dev,
         libglu1-mesa-dev | libglu-dev,
         libhdf5-mpi-dev,
         libjpeg-dev,
         libjsoncpp-dev,
         libnetcdf-dev,
         libnetcdf-cxx-legacy-dev,
         libogg-dev,
         libpng-dev,
         libpq-dev,
         libproj-dev,
         libpython-dev,
         libswscale-dev,
         libtheora-dev,
         libtiff-dev,
         libvtk6.3 (= ${binary:Version}),
         libvtk6-java (= ${binary:Version}),
         libx11-dev,
         libxft-dev,
         libxml2-dev,
         libxss-dev,
         libxt-dev,
         mpi-default-dev,
         python-vtk6 (= ${binary:Version}),
         python-zope.interface,
         tcl-dev,
         tcl-vtk6 (= ${binary:Version}),
         tk-dev,
         vtk6 (= ${binary:Version}),
         x11proto-core-dev,
         zlib1g-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: vtk6-doc,
          vtk6-examples
Conflicts: libvtk5-dev
Replaces: libvtk5-dev
Description: VTK header files
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the VTK header files required to compile
 C++ programs that use VTK to do 3D visualisation.

Package: libvtk6-qt-dev
Architecture: any
Section: libdevel
Depends: libvtk6-dev (= ${binary:Version}),
         libvtk6.3-qt (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         qtbase5-dev,
         qttools5-private-dev,
         libqt5opengl5-dev,
         libqt5webkit5-dev
Breaks: libvtk6-dev (<< 6.3.0+dfsg1)
Replaces: libvtk6-dev (<< 6.3.0+dfsg1)
Description: VTK header files, containing Qt files
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the VTK header files required to compile
 C++ programs that use VTK to do 3D visualisation. Qt files

Package: libvtk6.3
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: mpi-default-bin,
          vtk6-doc,
          vtk6-examples
Conflicts: libvtk6 (>> 6.0.0-7)
Replaces: libvtk5.8,
          libvtk6
Description: VTK libraries
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the shared libraries needed to run C++ programs
 that use VTK.

Package: libvtk6.3-qt
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libvtk6.2 (<< 6.2.0+dfsg1-1)
Replaces: libvtk6.2 (<< 6.2.0+dfsg1-1)
Description: VTK libraries, Qt files
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the shared libraries needed to run C++ programs
 that use VTK. Qt files

Package: libvtk6-jni
Architecture: any
Section: java
Depends: ${java:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libvtk6-java (<< 6.3.0+dfsg1-1~exp1)
Description: Visualization Toolkit - A high level 3D visualization library - java
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This package provides the VTK Java language support.

Package: libvtk6-java
Architecture: any
Section: java
Depends: libvtk6-jni (= ${binary:Version}),
         ${java:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: java-virtual-machine,
          libvtk6-dev (= ${binary:Version}),
          vtk6-doc,
          vtk6-examples
Description: Visualization Toolkit - A high level 3D visualization library - java
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This package provides the VTK Java language support.

Package: python-vtk6
Architecture: any
Section: python
Depends: libvtk6.3 (= ${binary:Version}),
         libvtk6.3-qt (= ${binary:Version}),
         python-autobahn,
         python-mpi4py,
         python-six,
         python-twisted,
         python-zope.interface,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Suggests: mayavi2,
          vtk6-doc,
          vtk6-examples
Conflicts: python-vtk
Description: Python bindings for VTK
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the python bindings for VTK.

Package: tcl-vtk6
Architecture: any
Section: interpreters
Depends: libvtk6.3 (= ${binary:Version}),
         libvtk6.3-qt (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: vtk6-doc,
          vtk6-examples
Description: Tcl bindings for VTK
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the shared libraries and executable that enable 
 one to use VTK from Tcl/Tk scripts.

Package: vtk6
Architecture: any
Section: interpreters
Depends: libvtk6.3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: vtk6-doc,
          vtk6-examples
Description: Binaries for VTK6
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides binaries for VTK6

Package: vtk6-doc
Architecture: all
Section: doc
Depends: doc-base,
         libjs-jquery,
         libjs-mathjax,
         ${misc:Depends}
Suggests: libvtk6-dev,
          vtk6-examples
Description: VTK class reference documentation
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides documentation for VTK6

Package: vtk6-examples
Architecture: all
Section: graphics
Depends: ${misc:Depends}
Suggests: libvtk6-dev,
          python,
          python-vtk6,
          tcl-vtk6,
          tclsh,
          vtk6-doc
Description: VTK examples
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides examples for VTK6

=== debian/rules ===
#!/usr/bin/make -f
BUILDDIR = $(CURDIR)/debian/build

# deduce documentation option (build-indep target)
ifeq "" "$(filter %-doc,$(shell dh_listpackages))"
  BUILDDOC = OFF
else
  BUILDDOC = ON
endif

export DEB_CPPFLAGS_MAINT_APPEND=-DVTK_USE_BOOST

# export JAVA_HOME to help FindJava.cmake and FindJNI.cmake
export JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR) --with python2 --with javahelper --parallel

extra_flags +=  \
  -DCMAKE_VERBOSE_MAKEFILE=ON \
	-DCMAKE_C_COMPILER=mpicc \
	-DCMAKE_CXX_COMPILER=mpic++ \
	-DBUILD_DOCUMENTATION=$(BUILDDOC) \
	-DBUILD_EXAMPLES=ON \
	-DBUILD_SHARED_LIBS=ON \
	-DBUILD_TESTING=OFF \
	-DVTK_USE_TK=ON \
	-DVTK_WRAP_JAVA=ON \
	-DVTK_WRAP_PYTHON=ON \
	-DVTK_WRAP_TCL=ON \
	-DVTK_USE_SYSTEM_EXPAT=ON \
	-DVTK_USE_SYSTEM_FREETYPE=ON \
	-DVTK_USE_SYSTEM_GL2PS=ON \
	-DVTK_USE_SYSTEM_HDF5=ON \
	-DHDF5_PREFER_PARALLEL=ON \
	-DVTK_USE_SYSTEM_JPEG=ON \
	-DVTK_USE_SYSTEM_LIBPROJ4=ON \
	-DVTK_USE_SYSTEM_LIBXML2=ON \
	-DVTK_USE_SYSTEM_OGGTHEORA=ON \
	-DVTK_USE_SYSTEM_PNG=ON \
	-DVTK_USE_SYSTEM_TIFF=ON \
	-DVTK_USE_SYSTEM_ZLIB=ON \
	-DVTK_USE_SYSTEM_JSONCPP=ON \
	-DVTK_USE_SYSTEM_NETCDF=ON \
	-DVTK_USE_SYSTEM_GLEW=ON \
	-DVTK_EXTRA_COMPILER_WARNINGS=ON \
	-DVTK_Group_Imaging=ON \
	-DVTK_Group_MPI=ON \
	-DVTK_Group_Tk=ON \
	-DVTK_Group_Views=ON \
	-DVTK_BUILD_ALL_MODULES=ON \
	-DMPI_CXX_INCLUDE_PATH="/usr/include/mpi" \
	-DVTK_INSTALL_LIBRARY_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)" \
	-DVTK_MAKE_INSTANTIATORS=ON \
	-DCMAKE_EXE_LINKER_FLAGS="-Wl,--as-needed" \
	-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--as-needed" \
	-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed" \
	-DCMAKE_BUILD_TYPE=None \
	-DVTK_USE_GCC_VISIBILITY=ON \
	-DModule_vtkRenderingExternal=ON

extra_flags += -DVTK_QT_VERSION=5	-DVTK_Group_Qt=ON

override_dh_auto_configure:
ifneq (,$(filter $(DEB_HOST_ARCH),$(noqt_archs)))
	echo '' > $(CURDIR)/Views/Qt/module.cmake
	echo '' > $(CURDIR)/GUISupport/QtWebkit/module.cmake
	echo '' > $(CURDIR)/Rendering/Qt/module.cmake
	echo '' > $(CURDIR)/GUISupport/QtOpenGL/module.cmake
	echo '' > $(CURDIR)/Examples/GUI/Qt/SimpleView/CMakeLists.txt
endif
	dh_auto_configure -- $(extra_flags)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILDDIR)

override_dh_auto_build-indep:
	# Make doc (see http://www.vtk.org/Wiki/VTK/BuildingDoxygen)
	cd $(BUILDDIR) && make DoxygenDoc
	# remove .md5 files
	find $(BUILDDIR)/Utilities/Doxygen/doc/html/ -name "*.md5" | xargs rm -f

override_dh_auto_build-arch: 
	dh_auto_build 

override_dh_auto_install:
	pwd
	dh_auto_install -X.pyc -X.pyo
	# Modify vtkWrapJava.cmake to properly upload JavaDependencies.cmake.in	from $VTK_DIR
	perl -pi -e "s|{dir}/JavaDependencies.cmake.in\"|{VTK_DIR}/JavaDependencies.cmake.in\"|" debian/tmp/usr/lib/cmake/vtk-6.3/vtkWrapJava.cmake
	# Correct headers for paraview
	perl -pi.bak -e "s|cxx|include|g" ThirdParty/netcdf/vtk_netcdfcpp.h
	mv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/vtk.jar $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/vtk6.jar
	mv $(CURDIR)/debian/build/bin/vtkpython $(CURDIR)/debian/build/bin/vtk6python
	sed -i -e "s/FATAL_ERROR/STATUS/g" $(CURDIR)/debian/tmp/usr/lib/cmake/vtk-6.3/VTKTargets.cmake
	chrpath -d $(CURDIR)/debian/build/bin/vtk6python
	chrpath -d $(CURDIR)/debian/build/bin/pvtk
	chrpath -d $(CURDIR)/debian/build/bin/pvtkpython
	mv $(CURDIR)/debian/tmp/usr/bin/vtk $(CURDIR)/debian/tmp/usr/bin/vtk6
	find $(CURDIR)/debian/tmp/ -name "*.pyc" | xargs rm -f
	find $(CURDIR)/debian/tmp/ -name "*.pyo" | xargs rm -f
	sed -i -e "9 a\ append libPath /${DEB_HOST_MULTIARCH}" $(CURDIR)/debian/tmp/usr/lib/tcltk/vtk-6.3/pkgIndex.tcl

override_dh_install-arch:
	dh_install -a
	find $(CURDIR)/debian/libvtk6-dev/ -name "*Qt*" -exec rm {} \;
	find $(CURDIR)/debian/libvtk6.3/ -name "*Qt*" -exec rm {} \;
	find $(CURDIR)/debian/libvtk6-dev/ -name "libvtkRenderingPythonTkWidgets.so" -exec rm {} \;
	find $(CURDIR)/debian/libvtk6-dev/usr/include/ -name "Q*" -exec rm {} \;
	chmod 755 $(CURDIR)/debian/libvtk6-dev/usr/share/vtk-6.3/doxygen/*.pl
	rm -rf $(CURDIR)/debian/libvtk6-doc/usr/share/doc/vtk6-doc/html/_formulas.log
	mkdir -p  $(CURDIR)/debian/python-vtk6/usr/lib/$(DEB_HOST_MULTIARCH)/python2.7/site-packages/ && \
          cd $(CURDIR)/debian/python-vtk6/usr/lib/$(DEB_HOST_MULTIARCH)/python2.7/site-packages/ && \
	  ln -s  /usr/lib/python2.7/dist-packages/vtk vtk

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg1,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/Kitware/VTK/tags .*/v?(6\.\d\S*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
